######################################################################################################################
#                                                                                                                    #
#                                                 Tarball utilities                                                  #
#                                                                                                                    #
######################################################################################################################

tar_extract() {
	local srcFile="$1"
	local destDir="$2"

	log "Extracting sources into project..."
	log_exec mkdir -p ${destDir}
	log_exec tar xf ${srcFile} -C ${destDir} --strip-components=${STRIP_LEVEL}
}