######################################################################################################################
#                                                                                                                    #
#                                                 CRAMFS utilities                                                   #
#                                                                                                                    #
######################################################################################################################


##################################################
# Generate the CRAMFS image using mkfs.cramfs
# Usage : mkfs.cramfs [-b blksize] [-e edition] [-N endian] [-n name] dirname outfile
##################################################
cramfs_generate() {
	local imgRoot="$1"
	local imgType="${2:-cramfs}"
	local imgName="$3"
	echo "Creating CRAMFS IMAGE in $imagesDir/$imgName.${imgType}"
	log_exec mkfs.cramfs ${imgRoot} ${imagesDir}/${imgName}.${imgType} ${CRAMFS_EXTRA_IMAGECMD}
}