######################################################################################################################
#                                                                                                                    #
#                                               INITRAMFS utilities                                                  #
#                                                                                                                    #
######################################################################################################################

initramfs_generate() {
	local imgRoot="$1"
	local imgType="${2:-cpio}"
	local imgName="$3"
	local partName="$4"
	log_exec cd ${imgRoot}
	log_exec find . | cpio -H newc -o > ${imagesDir}/${imgName}.cpio
	log_exec gzip -9 ${imagesDir}/${imgName}.cpio 
	log_exec mkimage -A ${karch_name} -n ${partName} -O linux -T ramdisk -d ${imagesDir}/${imgName}.cpio.gz ${imagesDir}/${imgName}.initrd
	log_exec rm ${imagesDir}/${imgName}.cpio.gz
}
