######################################################################################################################
#                                                                                                                    #
#                                                    GIT utilities                                                   #
#                                                                                                                    #
######################################################################################################################

# A built-in python2 is provided in Xilinx Vitis
# PYTHONHOME and PYTHONPATH must be unset
unset PYTHONHOME
unset PYTHONPATH

# Set xterm as preferred terminal (gnome-terminal is incompatible with VITIS)
possible_terminals="xterm gnome-terminal konsole rxvt xfce"

LD_LIBRARY_PATH=$(suppress_tree_from_path $LD_LIBRARY_PATH $XILINX_VITIS); export LD_LIBRARY_PATH

get_version() {
	local version=$(basename echo $XILINX_VITIS)
	echo version 
}
