#
# Compatibility functions to support install on IDE
#

: ${parent_ide:=""}

# Check if a System Workbench is install on a IDE different from Eclipse
if [ ! -z ${XILINX_VITIS+x} ]; then
	parent_ide="vitis"
fi

if [ -n "$parent_ide" ]; then
	# Load the script
	compat_script=$(search_script compatibility/${parent_ide}_utils.sh)
	if [ -n "$compat_script" ]; then
		load_script_once "$compat_script"
	fi
fi