######################################################################################################################
#                                                                                                                    #
#                                                  UBIFS utilities                                                   #
#                                                                                                                    #
######################################################################################################################


##################################################
# Generate the UBIFS image using mkfs.ubifs
# --root=DIR
# --leb-size=SIZE
# --max-leb-cnt=COUNT
# --min-io-size=SIZE
# --compr=TYPE[zlib;lzo;favor_lzo;none]
# --output=FILE
##################################################
generate_ubifs() {
	local imgRoot="$1"
	local imgType="${2:-ubifs}"
	local imgName="$3"
	#echo "Generation of ${imgType^^} images is not yet supported"
	log_exec mkfs.ubifs --root=${imgRoot} --output=${imagesDir}/${imgName}.${imgType} ${UBIFS_EXTRA_IMAGECMD}
}
